using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using UnityEngine;
using UniRx.Triggers;
using UniRx;
public class DroneSwarm : MonoBehaviour
{
    public Collider2D SwarmLine;

    private void Start()
    {
        SwarmLine.OnTriggerEnter2DAsObservable().Where(x => x.HasComponent<ShiftPoint>()).Subscribe(x =>
          {
              Map.Instance.DrawNext();
          });


    }




}
